"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.remove = exports.update = exports.insert = void 0;
const diffAssocs_1 = require("./helpers/diffAssocs");
const diffChanges_1 = require("./helpers/diffChanges");
function insert(model, data) {
    return {
        model,
        action: 'insert',
        // @ts-expect-error
        data: (0, diffChanges_1.diffChanges)(model, {}, data),
        // @ts-expect-error
        assocs: (0, diffAssocs_1.diffAssocs)(model, {}, data),
    };
}
exports.insert = insert;
function update(model, data, params = {}) {
    return {
        model,
        action: 'update',
        data,
        changes: (0, diffChanges_1.diffChanges)(model, data, params),
        // @ts-expect-error
        assocs: (0, diffAssocs_1.diffAssocs)(model, data, params),
    };
}
exports.update = update;
function remove(model, data) {
    return {
        model,
        action: 'delete',
        data,
    };
}
exports.remove = remove;
//# sourceMappingURL=changesetFactory.js.map