import { Model, EntityContext } from '@devacour/model-base';
import { DeepPartial } from './changesetValues';
import { ChangesetAction } from './changesetValues';
interface IChangesetBase<TAct extends ChangesetAction, TModel extends Model> {
    model: TModel;
    action: TAct;
    data: EntityContext<TModel>;
}
export interface IInsertChangeset<TModel extends Model> extends IChangesetBase<'insert', TModel> {
    assocs: {
        [TKey in keyof TModel['relations']]: Pick<DeepPartial<EntityContext<TModel>>, TKey>;
    };
}
export interface IUpdateChangeset<TModel extends Model> extends IChangesetBase<'update', TModel> {
    changes: DeepPartial<EntityContext<TModel>>;
    assocs: {
        [TKey in keyof TModel['relations']]: Pick<DeepPartial<EntityContext<TModel>>, TKey>;
    };
}
export interface IDeleteChangeset<TModel extends Model> extends IChangesetBase<'delete', TModel> {
}
export declare type IChangeset<TModel extends Model> = IInsertChangeset<TModel> | IUpdateChangeset<TModel> | IDeleteChangeset<TModel>;
export {};
//# sourceMappingURL=changesetTypes.d.ts.map