"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diffChanges = void 0;
function addedChanges(model, before, after) {
    return Object.entries(after).reduce((acc, [key, value]) => {
        var _a;
        const beforeValue = before[key];
        const hasBefore = beforeValue !== undefined;
        const assoc = (_a = model.relations) === null || _a === void 0 ? void 0 : _a[key];
        if (hasBefore || assoc) {
            return acc;
        }
        return { ...acc, [key]: value };
    }, {});
}
function modifiedChanges(model, before, after) {
    return Object.entries(after).reduce((acc, [key, value]) => {
        const beforeValue = before[key];
        const hasBefore = beforeValue !== undefined;
        const isDifferent = hasBefore && value !== beforeValue;
        return isDifferent ? { ...acc, [key]: value } : acc;
    }, {});
}
function diffChanges(model, before, after) {
    return {
        ...addedChanges(model, before, after),
        ...modifiedChanges(model, before, after),
    };
}
exports.diffChanges = diffChanges;
//# sourceMappingURL=diffChanges.js.map