"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../lib");
const fixture_1 = require("./fixture");
describe('insert', () => {
    test('simple', () => {
        const changeset = lib_1.Changeset.insert(fixture_1.articleModel, {
            articleId: '1',
            object: 'article',
            title: 'my article',
        });
        expect(changeset).toStrictEqual({
            model: fixture_1.articleModel,
            action: 'insert',
            data: {
                articleId: '1',
                object: 'article',
                title: 'my article',
            },
            assocs: {},
        });
    });
    test('assoc', () => {
        const changeset = lib_1.Changeset.insert(fixture_1.articleModel, {
            articleId: '1',
            object: 'article',
            title: 'my article',
            comments: [
                { commentId: '1', object: 'comment', text: 'my comment' },
            ],
        });
        expect(changeset).toStrictEqual({
            model: fixture_1.articleModel,
            action: 'insert',
            data: {
                articleId: '1',
                object: 'article',
                title: 'my article',
            },
            assocs: {
                comments: [
                    {
                        model: fixture_1.commentModel,
                        action: 'insert',
                        data: {
                            articleId: '1',
                            commentId: '1',
                            object: 'comment',
                            text: 'my comment',
                        },
                        assocs: {},
                    },
                ],
            },
        });
    });
});
//# sourceMappingURL=insert.spec.js.map