"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../lib");
const fixture_1 = require("./fixture");
describe('update', () => {
    test('simple', () => {
        expect(lib_1.Changeset.update(fixture_1.articleModel, {
            articleId: '1',
            object: 'article',
            title: 'my article',
        }, {
            title: 'my new title',
        })).toStrictEqual({
            model: fixture_1.articleModel,
            action: 'update',
            data: {
                articleId: '1',
                object: 'article',
                title: 'my article',
            },
            changes: {
                title: 'my new title',
            },
            assocs: {},
        });
    });
    test('insert assoc', () => {
        expect(lib_1.Changeset.update(fixture_1.articleModel, {
            articleId: '1',
            object: 'article',
            title: 'my article',
        }, {
            comments: [
                {
                    commentId: '1',
                    object: 'comment',
                    text: 'my comment',
                },
            ],
        })).toStrictEqual({
            model: fixture_1.articleModel,
            action: 'update',
            data: {
                articleId: '1',
                object: 'article',
                title: 'my article',
            },
            changes: {},
            assocs: {
                comments: [
                    {
                        model: fixture_1.commentModel,
                        action: 'insert',
                        data: {
                            articleId: '1',
                            commentId: '1',
                            object: 'comment',
                            text: 'my comment',
                        },
                        assocs: {},
                    },
                ],
            },
        });
    });
});
//# sourceMappingURL=update.spec.js.map